Index: /ipk/make-ipk
===================================================================
--- /ipk/make-ipk	(revision 12580)
+++ /ipk/make-ipk	(revision 12581)
@@ -166,4 +166,6 @@
 	cp -a $HOME/flashimg/BUILD/titan/var/usr/local/share/titan/plugins/mc/* "$HOMEDIR"/BUILD/titanplayers_mc/var/usr/local/share/titan/plugins/mc
 	cp -a $HOME/flashimg/BUILD/titan/var/usr/local/share/titan/plugins/networkbrowser/* "$HOMEDIR"/BUILD/titannetwork_networkbrowser/var/usr/local/share/titan/plugins/networkbrowser
+	cp -a $HOME/flashimg/BUILD/titan/var/usr/local/share/titan/plugins/keylock/* "$HOMEDIR"/BUILD/titantools_keylock/var/usr/local/share/titan/plugins/keylock
+	cp -a $HOME/flashimg/BUILD/titan/var/usr/local/share/titan/plugins/browser/* "$HOMEDIR"/BUILD/titanbrowser_netsurf/var/usr/local/share/titan/plugins/browser
 fi
 
Index: /ipk/source.sh4/titanbrowser_netsurf/CONTROL/control
===================================================================
--- /ipk/source.sh4/titanbrowser_netsurf/CONTROL/control	(revision 12581)
+++ /ipk/source.sh4/titanbrowser_netsurf/CONTROL/control	(revision 12581)
@@ -0,0 +1,10 @@
+Package: titan-plugin-browser-netsurf
+Version: 0.1
+Architecture: sh4
+OE: KeyLock
+Section: extra
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: GOst4711 by AAF 
+Description: Webbrowser Plugin
Index: /ipk/source.sh4/titanbrowser_netsurf/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/titanbrowser_netsurf/CONTROL/postinst	(revision 12581)
+++ /ipk/source.sh4/titanbrowser_netsurf/CONTROL/postinst	(revision 12581)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.infos
+
+echo "successfully installed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source.sh4/titanbrowser_netsurf/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/titanbrowser_netsurf/CONTROL/postrm	(revision 12581)
+++ /ipk/source.sh4/titanbrowser_netsurf/CONTROL/postrm	(revision 12581)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.infos
+PLUGINDIR=/var/usr/local/share/titan/plugins/browser
+rm -r $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source.sh4/titanbrowser_netsurf/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titanbrowser_netsurf/CONTROL/preinst	(revision 12581)
+++ /ipk/source.sh4/titanbrowser_netsurf/CONTROL/preinst	(revision 12581)
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+TMP=/tmp/.infos
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+echo "install netsurf Plugin ..."
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=20
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok
+	fi   
+fi
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+
+exit 0
Index: /ipk/source.sh4/titanbrowser_netsurf/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/titanbrowser_netsurf/CONTROL/prerm	(revision 12581)
+++ /ipk/source.sh4/titanbrowser_netsurf/CONTROL/prerm	(revision 12581)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.infos
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo freespace size $FREE kb
+fi
+echo "removing netsurf Plugin"
+exit 0
Index: k/source.sh4/titantools_keylock/var/usr/local/share/titan/plugins/keylock/skin.xml
===================================================================
--- /ipk/source.sh4/titantools_keylock/var/usr/local/share/titan/plugins/keylock/skin.xml	(revision 12580)
+++ 	(revision )
@@ -1,2 +1,0 @@
-<screen name=keylock posx=60 posy=60 width=50 height=50 valign=middle halign=center, pic="%pluginpath%/keylock/skin/key.png">
-</screen>
